Loading...
Searching...
No Matches
abs_blk.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
Include dependency graph for abs_blk.h:

Go to the source code of this file.

## Classes

class | gr::blocks::abs_blk< T >
| output[m] = abs(input[m]) for all M streams. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef abs_blk< std::int16_t > | gr::blocks::abs_ss
typedef abs_blk< std::int32_t > | gr::blocks::abs_ii
typedef abs_blk< float > | gr::blocks::abs_ff